***Program multtest

capture program drop multtest

program define multtest

reg `0'

**Get information needed from estimation results

scalar N_mata = e(N)

matrix beta_hat_mata = e(b)

matrix Omega_hat_mata = e(V)


**Call mata 

mata {

**N = st_numscalar("gamma_BH")

N = st_numscalar("N_mata")

beta_hat  =  st_matrix("beta_hat_mata")

_transpose(beta_hat)

Omega_hat  =  st_matrix("Omega_hat_mata")

**Calculate standard deviation for each element of beta_hat

std = sqrt(diagonal(Omega_hat))

**Calculate t_stats and corresponding p_values

t_stats = beta_hat :/ std

p_values = 2 * (ttail(N-rows(beta_hat), abs(t_stats)))

**Cut off p_value of constant

p_values = p_values[1::(rows(beta_hat)-1),1]

indices = (1::(rows(p_values)))

p_val_ind = (p_values , indices)

p_val_ind = sort(p_val_ind, 1)

**Variables Names
names = tokens("`0'")'

names = names[2::rows(beta_hat),1]


**Benjamini Hochberg 

**Calculation of j_star

gammapar = (0.01 , 0.05 , 0.1)

for (j=1; j<=3; j++){

gammaj = (gammapar[,j] / (rows(p_values))) :* indices

A = p_val_ind[,1] :<= gammaj

jstar = 0

for  (i=1 ; i<=rows(p_values) ;  i++)  {
	
	if (A[i,] == 1){
		jstar = i
	}
}


**Mark variables that are significant
p_val_ind = (p_val_ind , J(rows(p_values), 1, 0) )



for  (i=1 ; i<=jstar ;  i++)  {
	
	p_val_ind[i,2+j] = 1
}
}

p_val_ind = sort(p_val_ind, 2)

**Generate output

Results = (p_val_ind[,3::5])

Results = strofreal(Results)

Results = (names, Results)

Legend = ("Variable Name" , "BH 1%" , "BH 5%" , "BH 10%")

blank = (" " , " " , " " , " ")

Results = (Legend \ blank \ Results)

Text = ("Note: A 1 indicates significance at the indicated FDR. A 0 indicates that the coefficient is not significant.")

" "

Text 

" "

Results
}
end






