{smcl}
{* *! version 0.27 November 2012}{...}
{cmd:help multtest}
{hline}

{title:Title}

{cmd:multtest} -- Calculates sifnificance tests in linear regressions controlling the FDR

{title:Syntax}

{cmd:multtest} depvar [{indepvars}] {if} {in} {weights} {cmd:,} [{it:options}]

{synoptset 20 tabbed}{...}
{synopthdr}
{synoptline}
{syntab:Model}
{synopt :{opt Note that the model is expected to be always estimated with a constant!}}{p_end}

{syntab:SE/Robust (taken from Stata's regress command)}
{synopt :{opth vce(vcetype)}}{it:vcetype} may be {opt ols},
   {opt r:obust}, {opt cl:uster} {it:clustvar}, {opt boot:strap}, 
   {opt jack:knife}, {opt hc2}, or {opt hc3}{p_end}

{syntab:Reporting (taken from Stata's regress command)}
{synopt :{opt l:evel(#)}}set confidence level; default is {cmd:level(95)}{p_end}
{synopt :{opt b:eta}}report standardized beta coefficients{p_end}
{synopt :{opt ef:orm(string)}}report exponentiated coefficients and label as
{it:string}{p_end}
{synopt :{opt nohe:ader}}suppress table header{p_end}
{synopt :{opt plus}}make table extendable{p_end}
{synopt :{opth dep:name(varname)}}substitute dependent variable name;
programmer's option{p_end}

{hline}

{title:Description}

{pstd}
{cmd:multtest} first runs a linear regression using the regress command (constant always included). It then caluclates a significance test for each coefficient using the procedure of Benajamini and Hochberg (1995) as employed by Deckers and Hanck (2012). The BH procedure controls the false discovery rate (FDR), i.e., the expected value of the fraction of wrong rejections over the total number of rejections. Results are reported for controlling the FDR at the 1%, 5% and 10% level.


{title:Saved results}

{pstd}

{cmd:multtest} saves the same results as regress in {cmd:e()}.

{title:Examples}

{pstd} {it:Example: Long regression as in Deckers and Hanck (2012)}{p_end}

{phang2}{cmd:	use your_personalized_search_path\FLS_2001, clear}{p_end}

{phang2}{cmd: local variables growthin gdplevel1960 fractionconfucian lifeexpectancy equipmentinvestment subsaharandummy}
  {cmd: fractionmuslim ruleoflaw numberofyearsopeneconomy degreeofcapitalism fractionprotestant fractiongdpinmining}
  {cmd: nonequipmentinvestment latinamericandummy primaryschoolenrollment1960 fractionbuddhist blackmarketpremium}
  {cmd: fractioncatholic civilliberties fractionhindu politicalrights primaryexports1970 exchangeratedistortions age wardummy} 
  {cmd: sizelaborforce foreignlanguage fractionofpopspeakingenglish ethnologicfractionalization spanishcolonydummy} 
  {cmd: sdofblackmarketpremium frenchcolonydummy absolutelatitude ratioofworkerstopopulation highereducationenrollment} 
  {cmd: populationgrowth britishcolonydummy outwardorientation fractionjewish revolutionsandcoups publiceducationshare areascaleeffect}{p_end}

{phang2}{it:Note for the previous command: Everything has to be typed in one row in the Stata command window. In a do-file line breaks can also be done by typing "\\\".}
   
{phang2}{cmd:	multtest `variables'}{p_end}



{title:Also see}

{psee}
Deckers, T and Hanck, C. (2012). Variable  Selection  in  Cross-Section  Regressions:  Comparisons and Extensions, 2012, mimeo.
{psee}
Benjamini, Y. and Hochberg, Y. (1995). Controlling the false discovery rate:  A practical and powerful approach to multiple testing, Journal of the Royal Statistical Society. Series B, Vol. 57, pp. 289300.

